/**
 * @description 水波纹指令注册入口，定义 v-waves 自定义指令
 * @author D吕贺034244311
 * @date 20260617
 */
import waves from './waves'

const install = function(Vue) {
  Vue.directive('waves', waves)
}

if (window.Vue) {
  window.waves = waves
  Vue.use(install); // eslint-disable-line
}

waves.install = install
export default waves
